
use tempdb
go

create table stipendi
(
    idRecord smallint primary key nonclustered identity(-32000,1),
    cognome varchar(50),
    nome varchar(50),
    stipendio int
)
go

create clustered index idx_stipendio on stipendi(stipendio)
go

insert stipendi values ('benedetti','andrea',1000)
insert stipendi values ('bochicchio','daniele',2000)
insert stipendi values ('saltarello','andrea',3000)
go

select * from stipendi
go


/*
query 1
*/
begin tran

update stipendi
    set stipendio = stipendio * 2
where 
    cognome = 'bochicchio'

    /*
	   query 2

	   select * from stipendi
    */

update stipendi 
    set stipendio = stipendio * 10
where
    cognome = 'benedetti'

commit tran
go

select * from stipendi 
go

drop table stipendi
go

