
use tempdb
go

set nocount on
create table anagrafica
(
    idRecord int primary key nonclustered identity(1,1),
    cognome varchar(50),
    nome varchar(50),
    indirizzo varchar(50),
    comune varchar(50),
    provincia char(2),
    telefono varchar(50)
)
go

create clustered index idxCognomeNome on anagrafica (cognome, nome)
go

create nonclustered index idxTelefono on anagrafica (telefono)
go


insert anagrafica (cognome, nome, indirizzo, comune, provincia, telefono)
values ('benedetti','andrea','viale italia 1','brescia','bs','123456789')
go 50


select cognome, nome from anagrafica where telefono = '123456789'
go


drop table anagrafica
go

